/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/08/10 10:10:06
 */
import { Component } from 'wkit'
import createWebHashHistory from './hash-router.js'
import createWebHistory from './modern-router.js'
import './router-components.js'

export { createWebHashHistory, createWebHistory }

export function createRouter(
  { history = createWebHashHistory, routes = [] } = {},
  options
) {
  let $router = history(options)

  window.__wkitd__.set('$router', $router)
  Component.prototype.$router = $router

  $router.addRoute(routes)

  return function () {
    return $router
  }
}

export function getRouter() {
  return window.__wkitd__.get('$router')
}

export function getCurrentPage() {
  return getRouter().route
}
